Subject: Re: bug#28596: 26.0.60; Gnus gets into an ambiguous plugged/unplugged state that prevents retrieval of news

From: Eli Zaretskii <[email-masked]>
Date: Mon, 02 Jul 2018 20:55:17 +0300

> From: [email-masked] (N. Jackson)
> Date: Thu, 28 Dec 2017 19:14:24 -0500
> Cc: [email-masked], Eli Zaretskii <[email-masked]>,
>  [email-masked]
> 
> I do not think that this bug (with the ambiguous Gnus
> plugged/unplugged state) is the same as the
> wait_reading_process_output bug, and I'm not entirely convinced
> that the two bugs are related, but of course I might be missing
> something.
> 
> I can now reproduce this bug (#28596) at will -- and without any
> apparent hang at all. So I think the hang I was experiencing while
> trying to get Gnus to behave itself was a red herring -- quite
> possibly I was running into the other bug while I was trying to
> get myself out of this one.
> 
> And IIUC the wait_reading_process_output bug has been in Emacs for
> a while (forever?) whereas this bug exists in Emacs 26 but I have
> never seen it and cannot reproduce in Emacs 25.

Does the problem still exist on the current emacs-26 branch?